
// MainFrm.h : interface of the CMainFrame class
//

#pragma once
#include <GdiPlus.h>
#include <memory>
#include "TeeChart\tchart.h"

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar	m_wndStatusBar;

// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSetFocus(CWnd *pOldWnd);

	ULONG_PTR m_GdiPlusToken;
    std::unique_ptr<CTChart> m_pChart1;
    std::unique_ptr<CTChart> m_pChart2;

	DECLARE_MESSAGE_MAP()

public:

protected:
	DECLARE_EVENTSINK_MAP()

public:
};
